\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Surface Subdivision Methods

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::Subdivision_method_3 Namespace Reference

The namespace containing the subdivision methods. More...

## Functions
template<class Polyhedron_3 , template< typename > class Mask>
void | PQQ (Polyhedron_3 &p, Mask< Polyhedron_3 > mask, int step=1)
| applies the PQQ refinement on the control mesh `p` `step` times. More...
template<class Polyhedron_3 , template< typename > class Mask>
void | PTQ (Polyhedron_3 &p, Mask< Polyhedron_3 > mask, int step=1)
| applies the PTQ refinement on the control mesh `p` `step` times, where `p` contains only triangle facets. More...
template<class Polyhedron_3 , template< typename > class Mask>
void | DQQ (Polyhedron_3 &p, Mask< Polyhedron_3 > mask, int step=1)
| applies the DQQ refinement on the control mesh `p` `step` times. More...
template<class Polyhedron_3 , template< typename > class Mask>
void | Sqrt3 (Polyhedron_3 &p, Mask< Polyhedron_3 > mask, int step=1)
| applies the \( \sqrt{3}\) triangulation on the control mesh `p` `step` times, where `p` contains only triangle facets. More...
template<class Polyhedron_3 >
void | CatmullClark_subdivision (Polyhedron_3 &p, int step=1)
| applies Catmull-Clark subdivision `step` times on the control mesh `p`. More...
template<class Polyhedron_3 >
void | Loop_subdivision (Polyhedron_3 &p, int step=1)
| applies Loop subdivision `step` times on the control mesh `p`. More...
template<class Polyhedron_3 >
void | DooSabin_subdivision (Polyhedron_3 &p, int step=1)
| applies Doo-Sabin subdivision `step` times on the control mesh `p`. More...
template<class Polyhedron_3 >
void | Sqrt3_subdivision (Polyhedron_3 &p, int step=1)
| applies \( \sqrt{3}\) subdivision `step` times on the control mesh `p`. More...

## Definition

The namespace containing the subdivision methods.